-- ----------------------------------------------------------------------------
-- Copyright (C) 2010 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--             Voice Skin: Dutch TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Claire"
language = "Dutch"
marc_code = "dut"
language_id = "18"
id = "18002"
config_file = "dutch_tts/config_tts.lua"
audio_files_path = "dutch_tts/dutch_tts"
rulesets_file = "dutch_tts/dutch_tts/rulesets_DUN.txt"
userdictionary_file = "dutch_tts/dutch_tts/udct_dun.dat"
apdb = "apdb/claire/nm"
audio_files_version = "0.2.0.2011082301"
client_range = "[client >= 1.3.18.0 ; client < 1.4.6.0 ]"

maneuver_check = {
    ["END"] = "heeft u uw bestemming bereikt",                             -- You will reach your destination
    ["STOPOVER"] = "heeft u een tussenstop bereikt",                          -- You will reach a stopover
    ["JUNCTION"] = nil,                                                               -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                                    -- the junction
    ["ROUNDABOUT"] = "op de rotonde",                               -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "de afslag nemen",                              -- take the exit
    ["UTURN"] = "omkeren",                                                -- Make a uturn
    ["ENTER_HIGHWAY"] = "de snelweg op gaan",
    ["LEAVE_HIGHWAY"] = "de afslag nemen.",                                    -- take the exit
    ["CONTINUE_HIGHWAY"] = "de afslag nemen.",                             -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "de snelweg op gaan",
    ["LEAVE_URBAN_HIGHWAY"] = "de afslag nemen.",                      -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "de afslag nemen",
    ["DRIVE_TO_NEAREST_ROAD"] = "Ga naar de dichtstbijzijnde weg",        -- drive to nearest road 
    ["FERRY"] = "de veerboot op gaan"
}

maneuver_turns_car = {
    ["NO_TURN"] = "rechtdoor gaan",
    ["KEEP_MIDDLE"] = "neem de middelste rijstrook",
    ["KEEP_RIGHT"] = "rechts aanhouden",
    ["LIGHT_RIGHT"] = "rechts afbuigen",
    ["QUITE_RIGHT"] = "rechts afslaan",
    ["HEAVY_RIGHT"] = "scherpe bocht naar rechts",
    ["RETURN"] = "omkeren",
    ["HEAVY_LEFT"] = "scherpe bocht naar links",
    ["QUITE_LEFT"] = "links afslaan",
    ["LIGHT_LEFT"] = "links afbuigen",
    ["KEEP_LEFT"] = "links aanhouden",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "rechtdoor gaan",
    ["KEEP_MIDDLE"] = "rechtdoor gaan",
    ["KEEP_RIGHT"] = "neem de straat rechts",
    ["LIGHT_RIGHT"] = "rechts afbuigen",
    ["QUITE_RIGHT"] = "rechts afslaan",
    ["HEAVY_RIGHT"] = "scherpe bocht naar rechts",
    ["RETURN"] = "omkeren",
    ["HEAVY_LEFT"] = "scherpe bocht naar links",
    ["QUITE_LEFT"] = "links afslaan",
    ["LIGHT_LEFT"] = "links afbuigen",
    ["KEEP_LEFT"] = "neem de straat links",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "door het gebouw gaan",
    ["SQUARE"] = "het plein oversteken",
    ["PARK"] = "door het park heen gaan",
    ["STAIRS"] = "de trap nemen",
    ["ELEVATOR"] = "de lift nemen",
    ["ESCALATOR"] = "de roltrap nemen"
}

final_command = {
    ["END"] = "U heeft uw bestemming bereikt",                  -- You have reached your destination
    ["STOPOVER"] = "U heeft een tussenstop bereikt"                -- You have reached a stopover
}

exit_number_check = {
    [1] = {"de eerste afslag nemen", "bij de eerste straat afslaan"},                      -- take the first exit
    [2] = {"de tweede afslag nemen", "bij de tweede straat afslaan"},           -- take the second exit
    [3] = {"de derde afslag nemen", "bij de derde straat afslaan"},                   -- take the third exit
    [4] = {"de vierde afslag nemen", "bij de vierde straat afslaan"},                -- take the fourth exit
    [5] = {"de vijfde afslag nemen", "bij de vijfde straat afslaan"},                      -- take the fifth exit
    [6] = {"de zesde afslag nemen", "bij de zesde straat afslaan"},                  -- take the sixth exit
    [7] = {"de zevende afslag nemen", "de zevende afslag nemen"},          -- take the seventh exit
    [8] = {"de achtste afslag nemen", "de achtste afslag nemen"},              -- take the eighth exit
    [9] = {"de negende afslag nement", "de negende afslag nemen"},                  -- take the ninth exit
    [10] = {"de tiende afslag nemen", "de tiende afslag nemen"},                -- take the tenth exit
    [11] = {"take the eleventh exit", "de elfde afslag nemen"},       -- take the eleventh exit
    [12] = {"take the twelfth exit", "de twaalfde afslag nemen"}             -- take the twelfth exit
}

distances = {
    [50] = "50",
    [100] = "100",
    [150] = "150",
    [200] = "200",
    [250] = "250",
    [300] = "300",
    [400] = "400",
    [500] = "500",
    [600] = "600",
    [700] = "700",
    [800] = "800",
    [900] = "900",
    [1] = "1",
    [2] = "2",
    [3] = "3",
    [4] = "4",
    [5] = "5",
    [6] = "6",
    [7] = "7",
    [8] = "8",
    [9] = "9",
    [10] = "10"
}

unit = {                        
    ["MILE"] = "mijl",
    ["YARDS"] = "yard",
    ["KILOMETER"] = "kilometer",
    ["METERS"] = "meter",
    ["METER"] = "meter",
    ["KILOMETERS"] = "kilometer",
    ["MILES"] = "mijl",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "in noordelijke richting",
    ["NORTH_EAST"] = "richting noord-oosten",
    ["EAST"] = "richting het oosten",
    ["SOUTH_EAST"] = "richting zuid-oosten",
    ["SOUTH"] = "richting het zuiden",
    ["SOUTH_WEST"] = "richting zuid-westen",
    ["WEST"] = "richting het westen",
    ["NORTH_WEST"] = "richting noord-westen"
}

misc = { 
    ["gps_signal_lost_wav"] = "GPS-verbinding verloren",
    ["gps_signal_restored_wav"] = "GPS-verbinding is hersteld",
 --   ["no_gps_signal_wav"] = "No GPS signal",
    ["route_recalculation_wav"] = "Route wordt opnieuw berekend",
    ["now_wav"] = "Nu",
    ["destination_prep_wav"] = "heeft u",
    ["destination_2_wav"] = "uw bestemming bereikt",
    ["stopover_2_wav"] = "een tussenstop bereikt",
    ["end_of_street_wav"] = "Aan het einde van de weg",
    ["follow_motorway_wav"] = "Blijf op de snelweg",
    ["follow_road_wav"] = "Blijf de weg volgen",
    ["for_wav"] = "gedurende",
    ["after_wav"] = "Na",
    ["the_junction_wav"] = "het knooppunt",
    ["half_a_mile_wav"] = "een halve mijl",
    ["quarter_a_mile_wav"] = "een kwart mijl",
    ["immediately_wav"] = "direct",
    ["safety_camara_ahead_wav"] = "U nadert een verkeerscamera",
    ["over_speed_limit_wav"] = "Let op de maximale snelheid",
    ["traffic_automatic_detour_wav"] = "File op de route, u wordt omgeleid",
    ["traffic_manual_detour_wav"] = "File op de route, wilt u een omleiding?",
    ["no_detour_possible"] = "Geen omleiding om de file gevonden",
    ["and_wav"] = "en dan",
    ["and_then_wav"] = "en vervolgens",
    ["and_continue_on_wav"] = "en ga dan verder op de",
    ["towards_wav"] = "richting",
    ["turn_wav"] = "afslaan",
    ["onto_wav"] = "naar de",
    ["exit_wav"] = "de afslag nemen",
    ["second_right_wav"] = "de tweede rechts afslaan",
    ["second_left_wav"] = "de tweede links afslaan",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "links om de rotonde heen lopen",
    ["walk_right_roundabout_wav"] = "rechts om de rotonde heen lopen",
    ["walk_roundabout_wav"] = "Loop om de rotonde",
    ["head_wav"] = "Ga",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = ",",
    ["on_head_wav"] = "op de",
    ["comma_wav"] = ",",
    ["the_footpath_wav"] = "het pad op"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


